Package com.enonic.xp.node

## Class Node

- java.lang.Object
- - com.enonic.xp.node.Node

-     @PublicApi
      public final class Node
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Node.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static NodeId` | `ROOT_UUID` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Node.Builder` | `create()` |
    `static Node.Builder` | `create​(Node node)` |
    `static Node.Builder` | `create​(NodeId id)` |
    `static Node.Builder` | `create​(NodeVersion nodeVersion)` |
    `static Node.Builder` | `createRoot()` |
    `PropertyTree` | `data()` |
    `boolean` | `equals​(Object o)` |
    `AttachedBinaries` | `getAttachedBinaries()` |
    `ChildOrder` | `getChildOrder()` |
    `IndexConfigDocument` | `getIndexConfigDocument()` |
    `Long` | `getManualOrderValue()` |
    `NodeState` | `getNodeState()` | Deprecated.
    `NodeType` | `getNodeType()` |
    `NodeVersionId` | `getNodeVersionId()` |
    `AccessControlList` | `getPermissions()` |
    `Instant` | `getTimestamp()` |
    `int` | `hashCode()` |
    `NodeId` | `id()` |
    `boolean` | `inheritsPermissions()` |
    `boolean` | `isRoot()` |
    `NodeName` | `name()` |
    `NodePath` | `parentPath()` |
    `NodePath` | `path()` |
    `String` | `toString()` |
    `void` | `validateForIndexing()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_UUID

          public static final NodeId ROOT_UUID

  - ### Method Detail

    - #### isRoot

          public boolean isRoot()

    - #### name

          public NodeName name()

    - #### parentPath

          public NodePath parentPath()

    - #### path

          public NodePath path()

    - #### id

          public NodeId id()

    - #### getTimestamp

          public Instant getTimestamp()

    - #### data

          public PropertyTree data()

    - #### getIndexConfigDocument

          public IndexConfigDocument getIndexConfigDocument()

    - #### getChildOrder

          public ChildOrder getChildOrder()

    - #### getManualOrderValue

          public Long getManualOrderValue()

    - #### getPermissions

          public AccessControlList getPermissions()

    - #### inheritsPermissions

          public boolean inheritsPermissions()

    - #### getNodeType

          public NodeType getNodeType()

    - #### getAttachedBinaries

          public AttachedBinaries getAttachedBinaries()

    - #### getNodeState

          @Deprecated
          public NodeState getNodeState()

      Deprecated.

    - #### getNodeVersionId

          public NodeVersionId getNodeVersionId()

    - #### validateForIndexing

          public void validateForIndexing()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### create

          public static Node.Builder create()

    - #### create

          public static Node.Builder create​(NodeVersion nodeVersion)

    - #### create

          public static Node.Builder create​(NodeId id)

    - #### create

          public static Node.Builder create​(Node node)

    - #### createRoot

          public static Node.Builder createRoot()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`